using IRaCIS.Core.Domain.Share;
namespace IRaCIS.Core.Domain.Models;

[Comment("任务关系表")]
[Table("ReadingTaskRelation")]
public class ReadingTaskRelation : BaseAddAuditEntity
{
    #region 导航属性

    [ForeignKey("TaskId")]
    [JsonIgnore]
    public VisitTask VisitTask { get; set; }
    #endregion

    [Comment("任务ID")]
    public Guid TaskId { get; set; }

    [Comment("关联的任务ID")]
    public Guid RelevanceTaskId { get; set; }

    [Comment("类型具体解释 看枚举")]
    public RelevanceType RelevanceType { get; set; }
}
